summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2020-11-14 17:46:20 +0100
committerLars Wendler <polynomial-c@gentoo.org>2020-11-14 17:46:42 +0100
commite1906d5114232710a4a4d4d201764137870f7197 (patch)
tree64b7d1c9ca18a611342bf3a26812cd8eb7a77c2a /x11-wm/icewm
parentmail-mta/protonmail-bridge-bin: 1.5.0 bump, 1.4.4 out. (diff)
downloadgentoo-e1906d5114232710a4a4d4d201764137870f7197.tar.gz
gentoo-e1906d5114232710a4a4d4d201764137870f7197.tar.bz2
gentoo-e1906d5114232710a4a4d4d201764137870f7197.zip
x11-wm/icewm: Fixed x11-libs/gdk-pixbuf dependency
Closes: https://bugs.gentoo.org/753890 Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'x11-wm/icewm')
-rw-r--r--x11-wm/icewm/icewm-1.7.0.ebuild8
-rw-r--r--x11-wm/icewm/icewm-1.8.3.ebuild8
-rw-r--r--x11-wm/icewm/icewm-1.9.1.ebuild8
-rw-r--r--x11-wm/icewm/icewm-1.9.2.ebuild8
4 files changed, 28 insertions, 4 deletions
diff --git a/x11-wm/icewm/icewm-1.7.0.ebuild b/x11-wm/icewm/icewm-1.7.0.ebuild
index beecb5b1f55..a9502b12ad7 100644
--- a/x11-wm/icewm/icewm-1.7.0.ebuild
+++ b/x11-wm/icewm/icewm-1.7.0.ebuild
@@ -51,7 +51,13 @@ RDEPEND="
)
bidi? ( dev-libs/fribidi )
gdk-pixbuf? (
- x11-libs/gdk-pixbuf:2[X]
+ || (
+ (
+ x11-libs/gdk-pixbuf-xlib
+ >=x11-libs/gdk-pixbuf-2.42.0:2
+ )
+ <x11-libs/gdk-pixbuf-2.42.0:2[X]
+ )
)
!gdk-pixbuf? (
media-libs/libpng:0=
diff --git a/x11-wm/icewm/icewm-1.8.3.ebuild b/x11-wm/icewm/icewm-1.8.3.ebuild
index b45cf38e905..310d2f45e73 100644
--- a/x11-wm/icewm/icewm-1.8.3.ebuild
+++ b/x11-wm/icewm/icewm-1.8.3.ebuild
@@ -51,7 +51,13 @@ RDEPEND="
)
bidi? ( dev-libs/fribidi )
gdk-pixbuf? (
- x11-libs/gdk-pixbuf:2[X]
+ || (
+ (
+ x11-libs/gdk-pixbuf-xlib
+ >=x11-libs/gdk-pixbuf-2.42.0:2
+ )
+ <x11-libs/gdk-pixbuf-2.42.0:2[X]
+ )
)
!gdk-pixbuf? (
media-libs/libpng:0=
diff --git a/x11-wm/icewm/icewm-1.9.1.ebuild b/x11-wm/icewm/icewm-1.9.1.ebuild
index fd1315decb5..cd8d3315fba 100644
--- a/x11-wm/icewm/icewm-1.9.1.ebuild
+++ b/x11-wm/icewm/icewm-1.9.1.ebuild
@@ -51,7 +51,13 @@ RDEPEND="
)
bidi? ( dev-libs/fribidi )
gdk-pixbuf? (
- x11-libs/gdk-pixbuf:2[X]
+ || (
+ (
+ x11-libs/gdk-pixbuf-xlib
+ >=x11-libs/gdk-pixbuf-2.42.0:2
+ )
+ <x11-libs/gdk-pixbuf-2.42.0:2[X]
+ )
)
!gdk-pixbuf? (
media-libs/libpng:0=
diff --git a/x11-wm/icewm/icewm-1.9.2.ebuild b/x11-wm/icewm/icewm-1.9.2.ebuild
index fd1315decb5..cd8d3315fba 100644
--- a/x11-wm/icewm/icewm-1.9.2.ebuild
+++ b/x11-wm/icewm/icewm-1.9.2.ebuild
@@ -51,7 +51,13 @@ RDEPEND="
)
bidi? ( dev-libs/fribidi )
gdk-pixbuf? (
- x11-libs/gdk-pixbuf:2[X]
+ || (
+ (
+ x11-libs/gdk-pixbuf-xlib
+ >=x11-libs/gdk-pixbuf-2.42.0:2
+ )
+ <x11-libs/gdk-pixbuf-2.42.0:2[X]
+ )
)
!gdk-pixbuf? (
media-libs/libpng:0=